com.google.appengine.api.xmpp.dev

## Class LocalXMPPService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.xmpp.dev.LocalXMPPService

-     @ServiceProvider(value=)
      public final class LocalXMPPService
      extends AbstractLocalRpcService

  Java bindings for the local XMPP service. Just prints the calls.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalXMPPService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkPresenceResponse` | `bulkGetPresence(Status status, BulkPresenceRequest request)`
    `java.lang.String` | `getPackage()`
    `PresenceResponse` | `getPresence(Status status, PresenceRequest request)`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `XmppInviteResponse` | `sendInvite(Status status, XmppInviteRequest request)`
    `XmppMessageResponse` | `sendMessage(Status status, XmppMessageRequest request)`
    `XmppSendPresenceResponse` | `sendPresence(Status status, XmppSendPresenceRequest request)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalXMPPService

          public LocalXMPPService()

  - ### Method Detail

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### init

          public void init(LocalServiceContext context,
                  java.util.Map<java.lang.String,java.lang.String> properties)

    - #### getPackage

          public java.lang.String getPackage()

    - #### getPresence

          public PresenceResponse getPresence(Status status,
                                     PresenceRequest request)

    - #### bulkGetPresence

          public BulkPresenceResponse bulkGetPresence(Status status,
                                             BulkPresenceRequest request)

    - #### sendMessage

          public XmppMessageResponse sendMessage(Status status,
                                        XmppMessageRequest request)

    - #### sendInvite

          public XmppInviteResponse sendInvite(Status status,
                                      XmppInviteRequest request)

    - #### sendPresence

          public XmppSendPresenceResponse sendPresence(Status status,
                                              XmppSendPresenceRequest request)